<?php if ( ! class_exists('BounceHandler', false)) exit('No direct script access allowed');

return array(
    BounceHandler::DIAGNOSTIC_CODE_RULES => array(),
    BounceHandler::DSN_MESSAGE_RULES     => array(),
    BounceHandler::BODY_RULES            => array(),
	BounceHandler::COMMON_RULES          => array(
    	array(
    		'bounceType' => BounceHandler::BOUNCE_SOFT,
    		'regex'      => array(
    			'/Message rejected under suspicion of SPAM/i',
    			'/Message was not accepted/i',
    			'/(over|exceed).*quota/i',
    			'/(?:alias|account|recipient|address|email|mailbox|user).*full/i',
    			'/Insufficient system storage/i',
    			'/File too large/i',
    			'/larger than.*limit/i',
    			'/System.*busy/i',
    			'/Resources temporarily unavailable/i',
    			'/Temporary local problem/i',
    			'/system config error/i',
    			'/Connections? will not be accepted from/i',
    			'/spam/i',
    			'/spamhaus/i',
    			'/OU-002/i',
    			'/abuse/i',
    			'/COL004-MC1F5/i',
    			'/BL000010/i',
    			'/SC-001/i',
    			'/DNSBLs?/i',
    			'/IPBL1000/i',
    			'/block(\s?list)?/i',
    			'/delivery.*suspend/i',
    			'/over.*quota/i',
    			'/quota.*exceeded/i',
    			'/exceed.*?.*quota/i',
    			'/space.*not.*enough/i',
    			'/Deferred.*Connection (?:refused|reset)/i',
    			'/I\/O error/i',
    			'/connection.*broken/i',
    			'/<(\S+@\S+\w)>.*?.*?.*over.*quota/i',
    			'/quota exceeded.*?.*<(\S+@\S+\w)>/i',
    			'/<(\S+@\S+\w)>.*?.*quota exceeded/i',
    			'/\s(\S+@\S+\w)\s.*?.*mailbox.*full/i',
    			'/The message to (\S+@\S+\w)\s.*bounce.*Quota exceed/i',
    			'/<(\S+@\S+\w)>.*?.*?.*Resources temporarily unavailable/i',
    			'/^AutoReply message from (\S+@\S+\w)/i',
    			'/(user\shas\s)?exceeded(\s+storage\sallocation)?/i',
    			'/mail(box|folder)(\s+)?(is|full|quota|size)(\s+)?(full|usage|limit)?(\s+)?(exceeded)?/i',
    			'/quota\s(full|violation)/i',
    			'/User\s(has|mail(box|folder))\s+((exhausted|exceeds)\sallowed\s(size|.*space)|(too\smany.*server))/i',
    			'/delivery\s(temporarily\ssuspended|attempts\swill\scontinue\sto\sbe\smade\sfor)/i',
    			'/greylist(ing|ed)\s(in|for)\s(\w+(\sminutes)?)/i',
    			'/(server|system)\s(load\sis\s)?(too\s)?(busy|high)/i',
    			'/too\s(busy|many|much)\s(to\saccept\smail|connections?|sessions?|load)/i',
    			'/temporarily\s(deferred|unavailable)/i',
    			'/try\slater|retry\stimeout\sexceeded|queue\stoo\slong/i',
    			'/Benutzer\shat\szuviele\sMails\sauf\sdem\sServer/i',
    			'/rate\slimited|unsolicited\smail|IP\saddress\shas\sbeen\stemporarily\s/i',
    			'/Message rejected under suspicion of SPAM/i',
    			'/Message was not accepted/i',
    			'/user mailbox is (inactive|expired)/i',
    			'/user account disabled/i',
    			'/this account has been disabled or discontinued/i',
    			'/User is inactive/i',
    			'/inactive user/i',
    			'/extended inactivity new mail is not currently being accepted/i',
    			'/Sorry, I wasn\'t able to establish a(n)? SMTP connection/i',
    			'/message refused/i',
    			'/permission denied/i',
    			'/mailbox temporarily disabled/i',
    			'/Blocked address/i',
    			'/Account (inactive|expired)(\sas\sunread)?/i',
    			'/User hasn\'t entered during last/i',
    			'/Account closed due to inactivity/i',
    			'/This account is not allowed/i',
    			'/Mailbox_currently_suspended/i',
    			'/Mailbox disabled/i',
    			'/quota exceeded/i',
    			'/user is over quota/i',
    			'/exceeds size limit/i',
    			'/user has full mailbox/i',
    			'/Mailbox disk quota exceeded/i',
    			'/over the allowed quota/i',
    			'/User mailbox exceeds allowed size/i',
    			'/does not have enough space/i',
    			'/mailbox is full/i',
    			'/Can\'t create output/i',
    			'/mailbox full/i',
    			'/File too large/i',
    			'/too many messages (on|in) this mailbox/i',
    			'/Not enough storage space/i',
    			'/Over quota/i',
    			'/over the maximum allowed number of messages/i',
    			'/Recipient exceeded email quota/i',
    			'/temporarily deferred/i',
    			'/The user has not enough diskspace available/i',
    			'/Mailbox has exceeded the limit/i',
    			'/exceeded storage allocation/i',
    			'/Quota violation/i',
    			'/522_mailbox_full/i',
    			'/account is full/i',
    			'/incoming mailbox for user/i',
    			'/message would exceed quota/i',
    			'/recipient exceeded dropfile size quota/i',
    			'/not able to receive any more mail/i',
    			'/user is invited to retry/i',
    			'/User account is overquota/i',
    			'/mailfolder is full/i',
    			'/exceeds allowed message count/i',
    			'/message is larger than the space available/i',
    			'/recipient storage full/i',
    			'/The user\'s space has used up/i',
    			'/user is over their quota/i',
    			'/exceed the quota for the mailbox/i',
    			'/exceed maximum allowed storage/i',
    			'/Inbox is full/i',
    			'/over quota/i',
    			'/maildir has overdrawn his diskspace quota/i',
    			'/disk full/i',
    			'/Quota exceed(ed)?/i',
    			'/Storage quota reached/i',
    			'/user overdrawn his diskspace quota/i',
    			'/exceeded his\/her quota/i',
    			'/quota for the mailbox/i',
    			'/The incoming mailbox for user/i',
    			'/exceeded the space quota/i',
    			'/mail box space not enough/i',
    			'/insufficient disk space/i',
    			'/over their disk quota/i',
    			'/Message would exceed/i',
    			'/User is overquota/i',
    			'/Requested mailbox exceeds quota/i',
    			'/exceed mailbox quota/i',
    			'/over the storage quota/i',
    			'/over disk quota/i',
    			'/mailbox_quota_exceeded/i',
    			'/Status: 5\.2\.2/i',
    			'/over the maximum allowed mailbox size/i',
    			'/Delivery failed: Over quota/i',
    			'/errno=28/i',
    			'/was rejected for policy reasons on this gateway/i',
    			'/550 Protocol violation/i',
    			'/Blacklisted/i',
                '/Too many complaints/i',
    			'/Recipient address rejected: Too many complaints/i',
				'/Recipient not allowed/i',
    			'/is refused\. See http:\/\/spamblock\.outblaze\.com/i',
    			'/550 Rule imposed mailbox access for/i',
    			'/Message cannot be accepted, content filter rejection/i',
    			'/Mail appears to be unsolicited/i',
    			'/rejected for policy reasons/i',
    			'/Spam rejected/i',
    			'/Error: content rejected/i',
    			'/Message Denied: Restricted attachment/i',
    			'/Denied by policy/i',
    			'/has exceeded maximum attachment count limit/i',
    			'/Blocked for (spam|abuse)/i',
    			'/Message held for human verification/i',
    			'/considered unsolicited bulk e-mail/i',
    			'/message held before permitting delivery/i',
    			'/envelope sender is in my badmailfrom/i',
    			'/listed in multi\.surbl\.org/i',
    			'/black listed url host/i',
    			'/this message scored/i',
    			'/on spam scale/i',
    			'/message filtered/i',
    			'/rejected as bulk/i',
    			'/message content rejected/i',
    			'/Mail From IP Banned/i',
    			'/Connection refused due to abuse/i',
    			'/mail server is currently blocked/i',
    			'/Spam origin/i',
    			'/extremely high on spam scale/i',
    			'/is not accepting mail from this sender/i',
    			'/spamblock/i',
    			'/blocked using/i',
    			'/HTML tag unacceptable/i',
    			'/appears to be spam/i',
    			'/not accepting mail with attachments or embedded images/i',
    			'/message contains potential spam/i',
    			'/You have been blocked by the recipient/i',
    			'/message looks like(\sa)? spam/i',
    			'/Message contains unacceptable attachment/i',
    			'/high spam probability/i',
    			'/email is considered spam/i',
    			'/Spam detected/i',
    			'/Message identified as SPAM/i',
    			'/blocked because it contains FortiGuard - AntiSpam blocking URL/i',
    			'/This message has been blocked because it contains FortiSpamshield blocking URL/i',
    			'/Sender is on domain\'s blacklist/i',
    			'/This message does not comply with required standards/i',
    			'/Message rejected because of unacceptable content/i',
    			'/554 Transaction failed/i',
    			'/5\.7\.1 reject content/i',
    			'/5\.7\.1 URL\/Phone Number Filter/i',
    			'/5\.7\.1 Message cannot be accepted, spam rejection/i',
    			'/Mail contained a URL rejected by SURBL/i',
    			'/This message has been flagged as spam/i',
    			'/they are not accepting mail/i',
    			'/550 POSSIBLE SPAM/i',
    			'/headers consistent with spam/i',
    			'/5\.7\.1 Content-Policy reject/i',
    			'/is on RBL list/i',
    			'/sender denied/i',
    			'/Your message was rejected because it appears to be part of a spam bomb/i',
    			'/it is spam/i',
    			'/5\.7\.1 bulkmail/i',
    			'/Message detected as spam/i',
    			'/5\.7\.1 Blocked/i',
    			'/identified SPAM/i',
    			'/Error: SPAM/i',
    			'/message is banned/i',
    			'/(bulk|junk) mail(\srejected)?/i',
    			// '/SPAM not accepted/i',
    			'/rejected By DCC/i',
    			'/Spam Detector/i',
    			'/5\.7\.1 Message rejected/i',
    			'/5\.7\.1 Rejected as SPAM/i',
    			'/Message rejected due to the attachment filtering policy/i',
    			'/Message rejected due to content restrictions/i',
    			'/Spam is not allowed/i',
    			'/Blocked by policy/i',
    			'/content filter/i',
    			'/spam filter/i',
    			'/filter rejection/i',
    			'/rejected by spam-filter/i',
    			'/Forbidden for policy reasons/i',
    			'/looked like SPAM/i',
    			'/Message blocked/i',
    			'/not delivered for policy reasons/i',
    			'/high on spam/i',
    			'/5\.7\.1 Rejected - listed at/i',
    			'/invalid message content/i',
    			'/550 This message scored/i',
    			'/Blocked by SPAM/i',
    			'/This message has been blocked/i',
    			'/SURBL filtered by/i',
    			'/message classified as bulk/i',
    			'/554 Message rejected/i',
    			'/mail rejected for spam/i',
    			'/554 5\.7\.1/i',
    			'/message that you sen(d|t) was considered spam/i',
    			'/554 5\.7\.0 Reject/i',
    			'/550 Spam/i',
    			'/Message rejected/i',
    			'/550 Rejected/i',
    			'/Message rejected: Conversion failure/i',
    			'/Sorry, message looks lik/i',
    			'/email has been identified as SPAM/i',
    			'/possible spam/i',
    			'/550 Content Rejected/i',
    			'/Message not allowed by spam/i',
    			'/has been quarantined/i',
    			'/blocked as spam/i',
    			'/a stray CR character/i',
    			'/no longer accepts messages with/i',
    			// '/DNSBL:To request removal of/i',
    			'/won\'t accept this email/i',
    			'/Rejected by filter processing/i',
    			'/marked by Telerama as SPAM/i',
    			'/triggered a spam block/i',
    			'/Message classified as spam by Bogofilter/i',
    			'/http:\/\/postmaster\.info\.aol\.com\/errors\/421dynt1\.html/i',
    			'/Spam limit has been reached/i',
    			'/One of the words in the message is blocked/i',
    			'/Your email has been automatically rejected/i',
    			'/message from policy patrol email filtering/i',
    			'/blocked by filter rules/i',
    			'/rejected by Windows Live Hotmail for policy reasons/i',
    			'/542 Rejected/i',
    			'/Remote sending only allowed with authentication/i',
    			'/550 authentication required/i',
    			'/sorry, that domain isn\'t in my list of allowed rcpthosts/i',
    			'/has installed an invalid MX record with an IP address instead of a domain name on the right hand side/i',
    			'/all relevant MX records point to non-existent hosts/i',
    			'/not capable to receive mail/i',
    			'/CNAME lookup failed temporarily/i',
    			'/TLS connect failed: timed out/i',
    			'/timed out while receiving the initial server greeting/i',
    			'/malformed or unexpected name server reply/i',
    			'/unreachable for too long/i',
    			'/Please receive your mail before sending/i',
    			'/but connection died/i',
    			'/unable to connect successfully to the destination mail server/i',
    			'/This message is looping/i',
    			'/Connection timed out/i',
    			'/failed on DATA command/i',
    			'/Can\'t open mailbox/i',
    			'/Delivery failed 1 attempt/i',
    			'/Hop count exceeded/i',
    			'/Command rejected/i',
    			'/Unable to create a dot-lock/i',
    			'/Command died with status/i',
    			'/550 System error/i',
    			'/Connection refused/i',
    			'/Command time limit exceeded/i',
    			'/Resources temporarily unavailable/i',
    			'/error on maildir delivery/i',
    			'/this message has been in the queue too long/i',
    			'/loops back to myself/i',
    			'/temporary (failure|problem)/i',
    			'/Temporary error on maildir delivery/i',
    			'/The host does not have any mail exchanger/i',
    			'/5\.7\.1 Transaction failed/i',
    			'/delivery temporarily suspended/i',
    			'/Undeliverable message/i',
    			'/user path(\sdoes)? no(t)? exist/i',
    			'/maildir delivery failed/i',
    			'/Resources temporarily not available/i',
    			'/has exceeded the max emails per hour/i',
    			'/several matches found in domino/i',
    			'/internal (server|software) error/i',
    			'/cannot store document/i',
    			'/delivery time expired/i',
    			'/delivery expired \(message too old\)/i',
    			'/operation timed out/i',
    			'/4\.3\.2 service shutting down/i',
    			'/loop count exceeded/i',
    			'/unable to deliver a message to/i',
    			'/delivery was refused/i',
    			'/Too many results returned/i',
    			'/Error in processing/i',
    			'/Error opening input\/output file/i',
    			'/Remote host said: (542 Rejected|554 Failure)/i',
    			'/Could not complete sender verify callout/i',
    			'/Sender verification error/i',
    			'/Mail only accepted from IPs with valid reverse lookups/i',
    			'/lost connection with/i',
    			'/sender id \(pra\) not permitted/i',
    			'/could indicate a mail loop/i',
    			'/but sender was rejected/i',
    			'/Address does not pass the Sender Policy Framework/i',
    			'/only accepts mail from known senders/i',
    			'/Name service error/i',
    			'/You will need to add a PTR record \(also known as reverse lookup\) before you are able to send email into the iiNet network/i',
    			'/does not have a valid PTR record associated with it/i',
    			'/refused to talk to me: 452 try later/i',
    			'/User hasn\'t entered during last/i',
    			'/incoming mailbox for user/i',
    			'/The user\'s space has used up/i',
    			'/exceeded his\/her quota/i',
    			'/Message would exceed/i',
    			'/Status: 5\.2\.2/i',
    			'/errno=28/i',
    			'/Your e-mail was rejected for policy reasons on this gateway/i',
    			'/is refused\. See http:\/\/spamblock\.outblaze\.com/i',
    			'/considered unsolicited bulk e-mail/i',
    			'/listed in multi\.surbl\.org/i',
    			'/blocked using/i',
    			'/5\.7\.1 reject content/i',
    			'/5\.7\.1 URL\/Phone Number Filter/i',
    			'/5\.7\.1 Message cannot be accepted, spam rejection/i',
    			'/5\.7\.1 Content-Policy reject/i',
    			'/rejected by (an\s)?anti-spam/i',
    			'/5\.7\.1 bulkmail/i',
    			'/5\.7\.1 Blocked/i',
    			'/5\.7\.1 Message rejected/i',
    			'/5\.7\.1 Rejected as SPAM/i',
    			'/rejected by spam-filter/i',
    			'/5\.7\.1 Rejected - listed at/i',
    			'/550 This message scored/i',
    			'/SURBL filtered by/i',
    			'/554 5\.7\.1/i',
    			'/554 5\.7\.0 Reject/i',
    			'/all relevant MX records point to non-existent hosts/i',
    			'/but connection died/i',
    			'/5\.7\.1 Transaction failed/i',
    			'/delivery expired \(message too old\)/i',
    			'/4\.3\.2 service shutting down/i',
    			'/your "received:" header counts/i',
    			'/Error opening input\/output file/i',
    			'/sender id (pra) not permitted/i',
   				'/relay not permitted/i',
				'/This mail server requires authentication when attempting to send to a non-local e-mail address/i',
				'/is currently not permitted to relay/i',
				'/Unable to relay for/i',
				'/not a gateway/i',
				'/This system is not configured to relay mail/i',
				'/we do not relay/i',
				'/relaying mail to/i',
				'/Relaying is prohibited/i',
				'/Cannot relay/i',
				'/relaying disallowed/i',
				'/Authentication required for relay/i',
                '/Relay.*(?:denied|prohibited)/i',
                '/Unable to relay/i',
                '/Unauthorized relay/i',
                '/relay.*not.*(?:permit|allow)/i',
                '/Relaying not allowed/i',
                '/not permitted to relay through this server/i',
                '/mail(.*)?reject/i',
				'/spam(.*)?detect/i',
				'/reject(.*)?spam/i',
				'/SpamTrap/i',
				'/spam scale/i',
				'/junk mail/i',
				'/message filtered/i',
				'/subject.*consider.*spam/i',
                '/is on our block list/i',
                '/mail (refused|rejected)/i',
                '/black(\s)?listed/i',
                '/poor reputation/i',
                '/IPBL0001/i',
    		),
        ),
		array(
			'bounceType' => BounceHandler::BOUNCE_HARD,
			'regex' => array(
				'/(?:alias|account|recipient|address|email|mailbox|user)(.*)not(.*)list/i',
				'/user path no exist/i',
				'/no.*valid.*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/Invalid.*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*(?:disabled|discontinued)/i',
				'/user doesn\'t have.*account/i',
				'/(?:unknown|illegal).*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*(?:un|not\s+)available/i',
				'/no (?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*unknown/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*disabled/i',
				'/No such (?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*NOT FOUND/i',
				'/deactivated (?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*reject/i',
				'/bounce.*administrator/i',
				'/<.*>.*disabled/i',
				'/not our customer/i',
				'/Wrong (?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:unknown|bad).*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*not OK/i',
				'/Access.*Denied/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*lookup.*fail/i',
				'/(?:recipient|address|email|mailbox|user).*not.*member of domain/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*cannot be verified/i',
				'/(alias|account|recipient|address|email|mailbox|user).*(n\'t|not)\sexist/six',
				'/not have an account/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*is not allowed/i',
				'/inactive.*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*Inactive/i',
				'/(?:alias|account|recipient|address|email|mailbox|user) closed due to inactivity/i',
				'/(?:alias|account|recipient|address|email|mailbox|user) not activated/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*(?:suspend|expire)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*no longer exist/i',
				'/(?:forgery|abuse)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*restrict/i',
				'/(?:alias|account|recipient|address|email|mailbox|user).*locked/i',
				'/(?:alias|account|recipient|address|email|mailbox|user) refused/i',
				'/sender.*not/i',
				'/Message (refused|reject(ed)?)/i',
				'/No permit/i',
				'/domain isn\'t in.*allowed rcpthost/i',
				'/not local host/i',
				'/Transaction.*fail/i',
				'/Invalid data/i',
				'/Local user only/i',
				'/not.*permit.*to/i',
				'/Content reject/i',
				'/MIME\/REJECT/i',
                '/Verify mailfrom failed/i',
				'/MAIL.*FROM.*mismatch/i',
				'/MIME error/i',
				'/Mail data refused.*AISP/i',
				'/Host unknown/i',
				'/Specified domain.*not.*allow/i',
				'/No route to host/i',
				'/unrouteable address/i',
				'/sender is rejected/i',
				'/Client host rejected/i',
				'/MAIL FROM(.*)mismatches client IP/i',
                '/AUTH FAILED/i',
				'/denyip/i',
				'/client host.*blocked/i',
				'/(\s+)?\(RTR:BL\)/i',
				'/(?:alias|account|recipient|address|email|mailbox|user)(.*)invalid/i',
				'/Deferred.*No such.*(?:file|directory)/i',
				'/mail receiving disabled/i',
				'/bad.*(?:alias|account|recipient|address|email|mailbox|user)/i',
				'/Invalid host name/i',
				'/Deferred.*No route to host/i',
				'/Host unknown/i',
				'/Name server timeout/i',
				'/Deferred.*Connection.*tim(?:e|ed).*out/i',
				'/Deferred.*host name lookup failure/i',
				'/MX list.*point.*back/i',
				'/Delivery to the following recipients failed/i',
				'/User unknown/i',
				'/Service unavailable/i',
				'/(\S+@\S+\w).*?.*no such address here/i',
				'/<(\S+@\S+\w)>.*?.*?.*user unknown/i',
				'/<(\S+@\S+\w)>.*?.*no mailbox/i',
				'/(\S+@\S+\w)<br>.*?.*?.*can\'t find.*mailbox/i',
				'/Can\'t create output.*?.*<(\S+@\S+\w)>/i',
				'/(\S+@\S+\w).*=D5=CA=BA=C5=B2=BB=B4=E6=D4=DA/i',
				'/(\S+@\S+\w).*?.*Unrouteable address/i',
				'/delivery failed\S*\s+(\S+@\S+\w)\s/i',
				'/(\S+@\S+\w).*?.*unknown local-part/i',
				'/Invalid.*(?:alias|account|recipient|address|email|mailbox|user).*<(\S+@\S+\w)>/i',
				'/\s(\S+@\S+\w).*No such.*(?:alias|account|recipient|address|email|mailbox|user)>/i',
				'/<(\S+@\S+\w)>.*?.*(?:alias|account|recipient|address|email|mailbox|user).*no.*accept.*mail>/i',
				'/(\S+@\S+\w)<br>.*?.*?.*user is inactive/i',
				'/(\S+@\S+\w).*inactive account/i',
				'/<(\S+@\S+\w)>.*?.*input\/output error/i',
				'/<(\S+@\S+\w)>.*?.*can not open new email file/i',
				'/<(\S+@\S+\w)>.*?.*does not accept *non-Western/i',
				'/sorry\sto\shave\sto\sinform\syou\sthat\syour\smessage\scould\snot/six',
				'/destin\.\sSconosciuto/i',
				'/Destinatario\serrato/i',
				'/Destinatario\ssconosciuto\so\smailbox\sdisatttivata/i',
				'/Indirizzo\sinesistente/i',
				'/nie\sistnieje/i',
				'/Nie\sma\stakiego\skonta/i',
				'/Esta\scasilla\sha\sexpirado\spor\sfalta\sde\suso/i',
				'/Adressat\sunbekannt\soder\sMailbox\sdeaktiviert/i',
				'/Destinataire\sinconnu\sou\sboite\saux\slettres\sdesactivee/i',
				'/El\susuario\sesta\sen\sestado:\sinactivo/i',
				'/Podane\skonto\sjest\szablokowane\sadministracyjnie\slub\snieaktywne/i',
				'/Questo\sindirizzo\se\'\sbloccato\sper\sinutilizzo/i',
				'/Wiadomosc\szostala\sodrzucona\sprzez\ssystem\santyspamowy/i',
				'/was not delivered to/i',
				'/This is a permanent error/i',
				'/Remote host said: 550 5\.1\.1 No such user/i',
				'/PERM_FAILURE:/i',
				'/UNKNOWN_USER: No such user/i',
				'/mailbox unavailable/i',
				'/Requested action not taken: mailbox unavailable/i',
				'/Action: failed/i',
				'/User unknown in virtual alias table/i',
				'/invalid mailbox/i',
				'/couldn\'t find any host named/i',
				'/invalid address/i',
				'/user unknown/i',
				'/this user doesn\'t have a yahoo\.com account/i',
				'/permanent fatal errors/i',
				'/No mailbox here by that name/i',
				'/User not known/i',
				'/Remote host said: 553/i',
				'/No such (user|recipient)/i',
				'/unknown user/i',
				'/mailbox not found/i',
				'/No such user here/i',
				'/unknown or illegal alias/i',
				'/not listed in domino directory/i',
				'/unrouteable address/i',
				'/Destination server rejected recipients/i',
				'/unable to validate recipient/i',
				'/No such virtual user here/i',
				'/The recipient cannot be verified/i',
				'/bad address/i',
				'/Recipient unknown/i',
				'/mailbox is currently unavailable/i',
				'/Invalid User/i',
				'/recipient rejected/i',
				'/invalid recipient/i',
				'/not our customer/i',
				'/Unknown account/i',
				'/This user doesn\'t have a/i',
				'/no users here by that name/i',
				'/account closed/i',
				'/user not found/i',
				'/This address no longer accepts mail/i',
				'/does not like recipient/i',
				'/Delivery to the following recipient failed permanently/i',
				'/User Does Not Exist/i',
				'/The mailbox is not available on this system/i',
				'/mailbox (.*) does not exist/i',
				'/not a valid mailbox/i',
				'/server doesn\'t handle mail for that user/i',
				'/No such account/i',
				'/unknown recipient/i',
				'/user invalid/i',
				'/User reject the mail/i',
				'/The following recipients are unknown/i',
				'/name or service not known/i',
				'/I couldn\'t find any host named/i',
				'/message could not be delivered for \d+ days/i',
				'/I couldn\'t find a mail exchanger or IP address/i',
				'/address does not exist/i',
				'/access denied/i',
				'/554 denied/i',
				'/they are not accepting mail from/i',
				'/Sender verify failed/i',
				'/Although I\'m listed as a best-preference MX or A for that host/i',
				'/mail server permanently rejected message/i',
				'/bad address syntax/i',
				'/delivery failed; will not continue trying/i',
				'/No DNS information was found/i',
				'/Mailaddress is administratively disabled/i',
				'/Mailbox currently suspended/i',
				'/Account has been suspended/i',
				'/account is not active/i',
				'/recipient never logged onto/i',
				'/is disabled/i',
				'/account has been temporarily suspended/i',
				'/deactivated mailbox/i',
				'/disabled due to inactivity/i',
				'/not an active address/i',
				'/inactive on this domain/i',
				'/Status: 5\.2\.1/i',
				'/said: 550 5\.2\.1/i',
				'/account is locked/i',
				'/account deactivated/i',
				'/disabled mailbox/i',
				'/Mailaddress is administrativley disabled/i',
				'/unavailable to take delivery of the message/i',
				'/550 5\.1\.1 User unknown/i',
				'/said: 553 sorry,/i',
				'/does not exist/i',
				'/User unknown in virtual mailbox/i',
				'/User is unknown/i',
				'/Unrouteable address/i',
				'/This address does not receive mail/i',
				'/Recipient no longer on server/i',
				'/retry timeout exceeded/i',
				'/retry time not reached for any host after a long failure period/i',
				'/unknown address or alias/i',
				'/\> does not exist/i',
				'/Recipient address rejected/i',
				'/Address (rejected|invalid)/i',
				'/Unknown local(\-)?part/i',
				'/bad destination email address/i',
				'/deactivated due to abuse/i',
				'/no such address/i',
				'/user_unknown/i',
				'/recipient not found/i',
				'/User unknown in local recipient table/i',
				'/This recipient e-mail address was not found/i',
				'/no valid recipients/i',
				'/This user doesn\'t have a yahoo/i',
				'/mailbox not available/i',
				'/not a valid user/i',
				'/Unknown destination address/i',
				'/Unknown address error/i',
				'/recipient\'s account is disabled/i',
				'/Unable to chdir to maildir/i',
				'/undeliverable to the following/i',
				'/invalid domain mailbox user/i',
				'/Permanent error in automatic homedir creation/i',
				'/Invalid or unknown virtual user/i',
				'/Your (e\-)?mail has not been delivered/i',
				'/Not a valid recipient/i',
				'/Please check the recipients e-mail address/i',
				'/email has changed/i',
				'/This address is no longer valid/i',
			 	'/unknown email address/i',
				'/no longer in use/i',
				'/not have a final email delivery point/i',
				'/non esiste/i',
				'/no recipients/i',
				'/permanent fatal delivery/i',
				'/address is not valid/i',
				'/unavailable mailbox/i',
				'/550 5\.1\.1/i',
				'/Status: 5\.1\.1/i',
				'/account does not exist/i',
				'/The recipient name is not recognized/i',
				'/can\'t create user output file/i',
				'/no such user here/i',
				'/There is no user by that name/i',
				'/No such mailbox/i',
				'/not a recognised email account/i',
				'/address is no longer active/i',
				'/Unable to find alias user/i',
				'/sorry, no mailbox/i',
				'/doesn\'t have an account/i',
				'/not a valid email account/i',
				'/I have now left/i',
				'/I am no longer with/i',
				'/Invalid final delivery user/i',
				'/no longer available/i',
				'/unknown address/i',
				'/isn\'t in my list of allowed recipients/i',
				'/recipients are invalid/i',
				'/recipient is invalid/i',
				'/mailbox is not valid/i',
				'/invalid e-mail address/i',
				'/doesn\'t_have_a_yahoo/i',
				'/not known at this site/i',
				'/email name is not found/i',
				'/address doesn\'t exist/i',
				'/destination addresses were unknown/i',
				'/no existe/i',
				'/does not have an email/i',
				'/_does_not_exist_here/i',
				'/User unknown in virtual mailbox table/i',
				'/user is no longer available/i',
				'/unknown user account/i',
				'/Addressee unknown/i',
				'/user does not exist/i',
				'/554 delivery error: This user doesn\'t have/i',
				'/No such domain at this location/i',
				'/an MX or SRV record indicated no SMTP service/i',
				'/I couldn\'t find any host by that name/i',
				'/Domain does not exist; please check your spelling/i',
				'/Domain not used for mail/i',
				'/Domain must resolve/i',
				'/unrouteable mail domain/i',
				'/no route to host/i',
				'/host not found/i',
				'/Host or domain name not found/i',
				'/illegal host\/domain/i',
				'/bad destination host/i',
				'/no matches to nameserver query/i',
				'/no such domain/i',
				'/Cannot resolve the IP address of the following domain/i',
				'/too many hops, this message is looping/i',
				'/loop: too many hops/i',
				'/5\.7\.1 Unable to deliver to/i',
				'/message could not be delivered/i',
				'/dns loop/i',
				'/domain missing or malformed/i',
				'/550_Invalid_recipient/i',
				'/Invalid Address/i',
				'/Bad destination mailbox address/i',
				'/Remote host said: 550 5\.1\.1 No such user/i',
				'/This is a permanent error/i',
				'/this user doesn\'t have a yahoo\.com account/i',
				'/bad address/i',
				'/Unknown account/i',
				'/This user doesn\'t have a/i',
				'/No such account/i',
				'/is disabled/i',
				'/Status: 5\.2\.1/i',
				'/said: 550 5\.2\.1/i',
				'/550 5\.1\.1 User unknown/i',
				'/does not exist/i',
				'/Unknown local-part/i',
				'/This recipient e-mail address was not found/i',
				'/Your e-mail has not been delivered/i',
				'/Please check the recipients e-mail address/i',
				'/550 5\.1\.1/i',
				'/Status: 5\.1\.1/i',
				'/I have now left/i',
				'/invalid e-mail address/i',
				'/illegal (host|domain)/i',
				'/This mail server requires authentication when attempting to send to a non-local e-mail address/i',
				'/5\.7\.1 Unable to deliver to/i',
            ),
		),
    ),
);
