--
-- Dumping data for table `tour_slideshow`
--

INSERT INTO `tour_slideshow` (`slideshow_id`, `name`, `application`, `status`, `date_added`, `last_updated`) VALUES
(1, 'Backend', 'backend', 'active', '2016-05-27 06:53:43', '2016-05-27 07:43:18'),
(2, 'Customer', 'customer', 'active', '2016-05-26 09:51:36', '2016-05-26 09:51:36');

--
-- Dumping data for table `tour_slideshow_slide`
--

INSERT INTO `tour_slideshow_slide` (`slide_id`, `slideshow_id`, `title`, `content`, `image`, `sort_order`, `status`, `date_added`, `last_updated`) VALUES
(1, 1, 'Thank you for choosing [APP_NAME]!', 'Hello [FULL_NAME], thank you for choosing [APP_NAME]!<br />\nThis small tour will guide you through some of the [APP_NAME]  features and will help you get started using the application.<br />\nIf you ever need support, please use our dedicated <a href="[SUPPORT_URL]" target="_blank">support channel</a>.<br />\nLet\'s get started!', '', 0, 'active', '2016-05-27 06:55:02', '2016-05-27 06:55:02'),
(2, 1, 'Understanding the application structure', 'In order to make things easier to manage, [APP_NAME] is divided into several small sub-apps, like the <a href="[BACKEND_URL]" target="_blank">backend</a>, <a href="[CUSTOMER_URL]" target="_blank">customer</a>, <a href="[API_URL]" target="_blank">api</a>, console and <a href="[FRONTEND_URL]" target="_blank">frontend</a> app.<br /><br />\nThe <a href="[BACKEND_URL]" target="_blank">backend</a> app is used for administrative tasks and here only the system users have access.<br />\nThe <a href="[CUSTOMER_URL]" target="_blank">customer</a> app is used to create manage emails lists, subscribers and campaigns.<br />\nThe console app is the heavy worker, it contains all the cron jobs commands that are executed on various intervals to run maintenance, send campaigns, process bounces and so on.<br />\nThe <a href="[FRONTEND_URL]" target="_blank">frontend</a> app is used for public facing actions, like showing the subscription forms.<br />\nThe <a href="[API_URL]" target="_blank">api</a> app is used to allow custom integrations from various other apps with your own app, like customers sending subscribers from external systems to their lists. You can <a href="[BACKEND_URL]/settings/index" target="_blank">disable</a> it any any time.', '', 1, 'active', '2016-05-27 07:08:23', '2016-05-27 07:38:16'),
(3, 1, 'Cron jobs setup', 'Maybe the most important thing that you have to do after you install the application is to make sure all the cron jobs are set properly. This is very important since without the cron jobs, the application will not be able to send any email at all, or to do maintenance cleanup and a lot other tasks. <br /><br />\nYou can find a list with all the cron jobs that you have to add <a href="[BACKEND_URL]/misc/cron-jobs-list" target="_blank">here</a> and if you have any issue setting them up, you can reach out for help <a href="https://forum.mailwizz.com/threads/what-are-the-cron-jobs-that-i-have-to-add.12/" target="_blank">here</a>.  If you are not sure what cron jobs are, we have you covered, read more about them <a href="https://forum.mailwizz.com/threads/what-cron-jobs-are-why-do-i-need-to-add-them-and-how.3/" target="_blank">here</a>.', '', 2, 'active', '2016-05-27 07:22:47', '2016-05-27 07:40:02'),
(4, 1, 'Your customer account', 'When you first installed the application, you were asked to create a customer account.<br />\nIn case you haven\'t done so, please go ahead and <a href="[BACKEND_URL]/customers/create" target="_blank">create one</a>.<br />\nWhen using [APP_NAME], the customers are the ones that manage the email lists, campaigns, templates and so on.', '', 3, 'active', '2016-05-27 07:25:02', '2016-05-27 07:40:17'),
(5, 1, 'Delivery servers', '<a href="[BACKEND_URL]/delivery-servers" target="_blank">Delivery servers</a> are needed in order to send out all the emails from the application.<br />\nEven if it\'s about sending a confirmation email, an email campaign, a test email,<br />\nyou need a delivery server to actually make the delivery.<br /><br />\n[APP_NAME] comes with support for any SMTP server out there, PHP\'s built-in mail function and sendmail. Also it integrates with services like Sparkpost, MailGun, Amazon SES, SendGrid, ElasticEmail and much more in order to make sure you are not limited into using just a single service but you have a wide array of options.<br />\nYou can use either of them, or all of them together.<br />\n[APP_NAME] gives you total flexibility for this.', '', 4, 'active', '2016-05-27 07:28:05', '2016-05-27 11:28:32'),
(6, 1, 'Bounce servers', 'You like it or not, when you start sending emails, not all your addresses will be valid and when sending emails to invalid email addresses, these emails will return to you in order to notify you that the given email address is not valid anymore. In order for [APP_NAME] to be able to catch these emails and take proper actions against them, you need to use a feature called <a href="[BACKEND_URL]/bounce-servers" target="_blank">bounce servers</a>.<br /><br />\nBounce servers are actually regular email boxes that are used by [APP_NAME] in order to catch the returning emails and take proper actions. After creating a bounce server, make sure you associate it with a delivery server, otherwise bounce processing will not work.<br /><br />\nPlease note that <a href="[BACKEND_URL]/delivery-servers" target="_blank">delivery servers </a>of type web api do not need bounce servers. The bounces are processed automatically through webhooks.', '', 5, 'active', '2016-05-27 07:28:58', '2016-05-27 11:29:12'),
(7, 1, 'Feedback loop servers', 'Everytime when the Spam button is pressed by one of your subscribers, the email provider the subscriber belongs to, will send a notification related to that event.  In order to receive such notifications, you should subscribe for such notifications at the email provider.<br /><a href="https://www.port25.com/list-of-current-feedback-loops-offered-at-isps/" target="_blank">Here</a> you can find a list with email providers and their feedback loop subscribe process. <br /><br />\nHowever, most email providers will also send the notifications at one of these 3 addresses: abuse@domain.com, postmaster@domain.com and fbl@domain.com. <br />\nIn order for [APP_NAME] to process these notifications, you need to add <a href="[BACKEND_URL]/feedback-loop-servers" target="_blank">feedback loop </a>servers for each email address, either for the one you subscribed at the email provider, or for the 3 listed above.<br /><br />\nPlease note that when sending only via <a href="[BACKEND_URL]/delivery-servers" target="_blank">delivery servers</a> of type web api you don\'t need to setup <a href="[BACKEND_URL]/feedback-loop-servers" target="_blank">feedback loop servers</a> since these are automatically processed via webhooks.', '', 6, 'active', '2016-05-27 07:29:49', '2016-05-27 11:31:17'),
(8, 1, 'Delivery settings', 'By default, [APP_NAME] uses <a href="[BACKEND_URL]/settings/cron" target="_blank">delivery settings</a> that will be fine for most of people. However, if you need, you can properly adjust them in order to get a higher delivery speed. Please be aware that wrong delivery settings can cause a lot of issues, including the fact that some ISP\'s will blacklist your sending ip addresses if you are sending too fast.<br /><br />\nYou can read more about how delivery settings work <a href="https://forum.mailwizz.com/threads/understanding-email-delivery-settings-and-how-they-impact-performance.1595/" target="_blank">here</a>.', '', 7, 'active', '2016-05-27 07:30:49', '2016-05-27 07:41:15'),
(9, 1, 'Monetization', 'If you decide to use [APP_NAME] to provide email services to your own customers, then you have to <a href="[BACKEND_URL]/settings/monetization" target="_blank">enable the monetization module</a>. Once the module is enabled, you will be able to create <a href="[BACKEND_URL]/customers/groups/index" target="_blank">customer groups</a>, assign them to <a href="[BACKEND_URL]/price-plans/index" target="_blank">price plans</a>, <a href="[BACKEND_URL]/payment-gateways/index" target="_blank">enable and setup payment extensions</a>, define <a href="[BACKEND_URL]/currencies/index" target="_blank">currencies</a>, <a href="[BACKEND_URL]/promo-codes/index" target="_blank">promo codes</a> and <a href="[BACKEND_URL]/taxes/index" target="_blank">taxes</a>.<br /><br />\nPlease note that when you create customer groups, the default settings will be inherit from <a href="[BACKEND_URL]/settings/customers/common" target="_blank">customer settings</a>. This allows you to set some base settings for all customers, then in customer groups you can simply adjust them depending on the group permissions.', '', 8, 'active', '2016-05-27 07:32:04', '2016-05-27 07:41:26'),
(10, 1, 'Extend [APP_NAME]', '[APP_NAME] is highly <a href="https://forum.mailwizz.com/categories/extend.15/" target="_blank">extensible</a> and flexible. You can extend it using a <a href="http://codecanyon.net/user/twisted1919/portfolio?ref=twisted1919" target="_blank">high number of extensions</a> for payments, backup, email validation and so on, you can alter the look of it by either using <a href="[BACKEND_URL]/settings/customization" target="_blank">customizations</a> or <a href="https://forum.mailwizz.com/forums/themes/" target="_blank">custom themes</a> and you can <a href="https://forum.mailwizz.com/forums/translations/" target="_blank">translate it</a> in your language.', '', 9, 'active', '2016-05-27 07:33:24', '2016-05-27 07:41:36'),
(11, 1, 'Logs', 'While [APP_NAME] is running, it saves a lot of logs in order for you to see what is happening under the hood, which means in case something goes wrong, these logs are also extremely useful for debugging purposes.<br /><br />You can view the <a href="[BACKEND_URL]/misc/campaigns-delivery-logs" target="_blank">campaigns delivery logs</a> which record every emails sent out by any campaign, the <a href="[BACKEND_URL]/misc/campaigns-bounce-logs" target="_blank">campaigns bounce logs</a> which stores data related to bounces, <br />the <a href="[BACKEND_URL]/campaign-abuse-reports" target="_blank">campaigns abuse reports</a> that store information when a subscriber fills in an abuse form,<br />the <a href="[BACKEND_URL]/transactional-emails/index" target="_blank">transactional emails logs</a> which hold information about the transactional emails,<br /><a href="[BACKEND_URL]/misc/delivery-servers-usage-logs" target="_blank">delivery servers usage logs</a> which record absolutely all the emails sent out by the <a href="[BACKEND_URL]/delivery-servers/index" target="_blank">delivery servers</a>,<br />the <a href="[BACKEND_URL]/misc/application-log" target="_blank">application log</a> which stores various events that happen when the application runs,<br />and also a detailed history with all <a href="[BACKEND_URL]/misc/guest-fail-attempts" target="_blank">failed login attempts</a>.', '', 10, 'active', '2016-05-27 07:33:24', '2016-05-27 07:41:36'),
(12, 2, '[FULL_NAME], welcome!', 'Using [APP_NAME], you will be able to create <a href="[CUSTOMER_URL]/lists/index" target="_blank">email lists</a>, customize them entirely, add subscribers to them, <a href="[CUSTOMER_URL]/campaigns/index" target="_blank">create and send campaigns</a> and enjoy a very detailed stats area for each of your campaigns.<br />\nLet\'s get started!', '', 0, 'active', '2016-05-26 09:56:50', '2016-05-27 11:32:13'),
(13, 2, 'Email lists', 'In order to start sending email campaign, you should start by creating your <a target="_blank" href="[CUSTOMER_URL]/lists/index">first email list</a>. Your email list identifies you as a sender, it contains your information and allows you to take various decisions related to your subscribers.<br />\nEach list is totally separate, which means you can customize each list as you wish, including subscribers, custom forms/pages and custom fields.', '', 1, 'active', '2016-05-26 10:02:30', '2016-05-27 07:51:11'),
(14, 2, 'Subscribers', 'Once your email list is created, next step is to start importing your subscribers into the list.<br />\nIn order to do so, just click on your list title from <a href="[CUSTOMER_URL]/lists/index" target="_blank">lists area</a>,<br />\nthen click on the Tools box, followed by the Import box.<br />\nYou will be allowed to import from a csv file, a text file or from another database.<br />\nIt is that simple!', '', 2, 'active', '2016-05-26 10:04:21', '2016-05-27 11:32:55'),
(15, 2, 'Campaigns', 'Finally, after your list is created and you have added your subscribers into it,<br />\nit\'s time to create <a href="[CUSTOMER_URL]/campaigns/create" target="_blank">your first campaign</a>.<br />\nYou will be able to select the <a href="[CUSTOMER_URL]/lists/index" target="_blank">list</a> you want to use for sending and optionally, a segment from the list.<br />\nYou can add a new template just for the campaign itself or use an <a href="[CUSTOMER_URL]/templates/index" target="_blank">existing one</a>.<br />\nMake sure you test all campaigns before actually sending them, this is crucial. If you want to test your campaign spam score, feel free to use this <a href="http://www.mail-tester.com/" target="_blank">tool</a>.<br />\nOnce you see everything looks good, send your campaign and enjoy very detailed, real time statistics.', '', 3, 'active', '2016-05-26 10:09:59', '2016-05-27 11:33:22'),
(16, 2, 'Email templates', 'When creating new campaigns, you will want to use nice looking email templates. <br />\nYou can use the <a href="[CUSTOMER_URL]/templates/index" target="_blank">templates</a> area to create and/or import your existing templates. If you don\'t have any email template to import or you are not sure how to create one, you can also import one from the <a href="[CUSTOMER_URL]/templates/gallery" target="_blank">templates gallery</a>. You can later use any of these templates for your <a href="[CUSTOMER_URL]/campaigns/index" target="_blank">campaigns</a> and you can even create new templates from the campaigns area for any specific campaign.', '', 4, 'active', '2016-05-26 10:13:20', '2016-05-27 07:52:22');
